<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">up = false;
upWater = false;
down = false;
left = false;
right = false;

if (collision_point(x, y-16, oWater, 0, 0)) upWater = true;
if (collision_point(x, y-16, oSolid, 0, 0)) up = true;
if (collision_point(x, y+16, oSolid, 0, 0)) down = true;

if (not up and not upWater) sprite_index = sAcidTop; else sprite_index = sAcid;
</argument>
      </arguments>
    </action>
  </actions>
</event>
